svn::LogEntry Struct Reference

`#include <log_entry.hpp>`

## Public Member Functions

| LogEntry ()
| LogEntry (const svn_revnum_t revision, const char *author, const char *date, const char *message)

## Data Fields

svn_revnum_t | revision
std::string | author
std::string | message
std::list< LogChangePathEntry > | changedPaths
apr_time_t | date

## Constructor & Destructor Documentation

svn::LogEntry::LogEntry | ( |  | ) |

svn::LogEntry::LogEntry | ( | const svn_revnum_t | revision,
|  | const char * | author,
|  | const char * | date,
|  | const char * | message
| ) |  |

## Field Documentation

std::string svn::LogEntry::author

std::list<LogChangePathEntry> svn::LogEntry::changedPaths

apr_time_t svn::LogEntry::date

std::string svn::LogEntry::message

svn_revnum_t svn::LogEntry::revision

The documentation for this struct was generated from the following file:

- log_entry.hpp